# std::basic_stringbuf<CharT,Traits,Allocator>::get_allocator

From cppreference.com
< cpp‎ | io‎ | basic stringbuf

allocator_type get_allocator() const noexcept; |  | (since C++20)

Returns the allocator associated with the internal sequence container.

### Parameters

(none)

### Return value

the associated allocator

### See also

get_allocator | returns the associated allocator (public member function of `std::basic_string<CharT,Traits,Allocator>`)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_stringbuf/get_allocator&oldid=138054"